ru.bitel.bgbilling.server.util

## Class PswdGen

- java.lang.Object
- - ru.bitel.bgbilling.server.util.PswdGen

-     public class PswdGen
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_PASSWORD_CHARS` Набор по умолчанию, исторически - циферный
    `static int` | `DEFAULT_PASSWORD_LENGTH_MAX`
    `static int` | `DEFAULT_PASSWORD_LENGTH_MIN`
    `static java.lang.String` | `DIGIT_PASSWORD_CHARS` Набор цифровой
    `static java.lang.String` | `EXTENDED_PASSWORD_CHARS` Расширенный набор символов, с буквами
    `static java.lang.String` | `EXTENDED_PASSWORD_CHARS_AUTO` Расширенный автогенерируемый набор символов (без O 0 I l, он же base58), очевидно подходит только в случае автогенерации, а не для проверки вручную пароля пользователя

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PswdGen()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkPasswordChars(java.lang.String password, java.lang.String passwordChars)`
    `static java.lang.String` | `generateCode(java.lang.String codePattern)` Генерация кодовой строки по шаблону типа rt[23456789abcdefghjkmnpqrstuvwxyz]{5} где rt -префикс, [...] - набор символов, {..} - количество символов
    `static java.lang.String` | `generatePassword(int length, java.lang.String passwordChars)`
    `static java.lang.String` | `generatePassword(ParameterMap setup)` генерация пароля, используя настройки для авто-паролей из сетапа
    `static java.lang.String` | `generatePasswordRTU(int length, java.lang.String passwordChars)` Генерирует пароль так, чтобы в нем обязательно были хотябы - 1 маленькая буква - 1 большая буква - 1 цифра.
    `static java.lang.String` | `generatePasswordRTU(ParameterMap setup)` Генерирует пароль так, чтобы в нем обязательно были хотябы - 1 маленькая буква - 1 большая буква - 1 цифра
    `static java.lang.String` | `getPasswordChars(ParameterMap setup)` Получить строку из символов которых нужно создавать пароль
    `static java.lang.String` | `getPasswordCharsAuto(ParameterMap setup)` Получить строку из символов которых нужно создавать автогенерируемый пароль Если не задано - берёт для обычных паролей.
    `static int` | `getPasswordLengthAuto(ParameterMap setup)`
    `static int` | `getPasswordLengthMax(ParameterMap setup)`
    `static int` | `getPasswordLengthMin(ParameterMap setup)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PASSWORD_LENGTH_MIN

          public static final int DEFAULT_PASSWORD_LENGTH_MIN

      See Also:
        Constant Field Values

    - #### DEFAULT_PASSWORD_LENGTH_MAX

          public static final int DEFAULT_PASSWORD_LENGTH_MAX

      See Also:
        Constant Field Values

    - #### DIGIT_PASSWORD_CHARS

          public static final java.lang.String DIGIT_PASSWORD_CHARS

      Набор цифровой
      See Also:
        Constant Field Values

    - #### EXTENDED_PASSWORD_CHARS

          public static final java.lang.String EXTENDED_PASSWORD_CHARS

      Расширенный набор символов, с буквами
      See Also:
        Constant Field Values

    - #### EXTENDED_PASSWORD_CHARS_AUTO

          public static final java.lang.String EXTENDED_PASSWORD_CHARS_AUTO

      Расширенный автогенерируемый набор символов (без O 0 I l, он же base58), очевидно подходит только в случае автогенерации, а не для проверки вручную пароля пользователя
      See Also:
        Constant Field Values

    - #### DEFAULT_PASSWORD_CHARS

          public static final java.lang.String DEFAULT_PASSWORD_CHARS

      Набор по умолчанию, исторически - циферный
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PswdGen

          public PswdGen()

  - ### Method Detail

    - #### generatePassword

          public static java.lang.String generatePassword(int length,
                                                          java.lang.String passwordChars)

    - #### generatePassword

          public static java.lang.String generatePassword(ParameterMap setup)

      генерация пароля, используя настройки для авто-паролей из сетапа

    - #### getPasswordLengthMin

          public static final int getPasswordLengthMin(ParameterMap setup)

    - #### getPasswordLengthMax

          public static final int getPasswordLengthMax(ParameterMap setup)

    - #### getPasswordLengthAuto

          public static final int getPasswordLengthAuto(ParameterMap setup)

    - #### getPasswordChars

          public static final java.lang.String getPasswordChars(ParameterMap setup)

      Получить строку из символов которых нужно создавать пароль

    - #### getPasswordCharsAuto

          public static final java.lang.String getPasswordCharsAuto(ParameterMap setup)

      Получить строку из символов которых нужно создавать автогенерируемый пароль Если не задано - берёт для обычных паролей.

    - #### generatePasswordRTU

          public static java.lang.String generatePasswordRTU(ParameterMap setup)

      Генерирует пароль так, чтобы в нем обязательно были хотябы - 1 маленькая буква - 1 большая буква - 1 цифра
      Parameters:
        `setup` - - конфиг модуля, возмет от туда длину и символы для генерирования

    - #### generatePasswordRTU

          public static java.lang.String generatePasswordRTU(int length,
                                                             java.lang.String passwordChars)

      Генерирует пароль так, чтобы в нем обязательно были хотябы - 1 маленькая буква - 1 большая буква - 1 цифра. Если это возможно, то есть представленные символы в passwordChars. Если длина пароля менне 3 символов, то возврощается стандартный генерируемый пароль.
      Parameters:
        `length` - - длина пароля
        `passwordChars` - - символя используемые для генерирования.

    - #### checkPasswordChars

          public static boolean checkPasswordChars(java.lang.String password,
                                                   java.lang.String passwordChars)

    - #### generateCode

          public static java.lang.String generateCode(java.lang.String codePattern)

      Генерация кодовой строки по шаблону типа rt[23456789abcdefghjkmnpqrstuvwxyz]{5} где rt -префикс, [...] - набор символов, {..} - количество символов
      Parameters:
        `password` -
        `pattern` -
      Returns: